org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class StopCachesOnClientReconnectExchangeTask

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Void>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.StopCachesOnClientReconnectExchangeTask

All Implemented Interfaces:
  IgniteInternalFuture<Void>, CachePartitionExchangeWorkerTask

    public class StopCachesOnClientReconnectExchangeTask
    extends GridFutureAdapter<Void>
    implements CachePartitionExchangeWorkerTask

### Constructor Summary

Constructors
Constructor and Description
`StopCachesOnClientReconnectExchangeTask(@Nullable SecurityContext secCtx, Collection<GridCacheAdapter> stoppedCaches)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable SecurityContext` `securityContext()`
`boolean` `skipForExchangeMerge()`
`Collection<GridCacheAdapter>` `stoppedCaches()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopCachesOnClientReconnectExchangeTask

    public StopCachesOnClientReconnectExchangeTask(@Nullable
                                                   @Nullable SecurityContext secCtx,
                                                   Collection<GridCacheAdapter> stoppedCaches)

Parameters:
  `secCtx` - Security context.
  `stoppedCaches` - Collection of stopped caches.

### Method Detail

#### skipForExchangeMerge

    public boolean skipForExchangeMerge()

Specified by:
  `skipForExchangeMerge` in interface `CachePartitionExchangeWorkerTask`
Returns:
  `False` if exchange merge should stop if this task is found in exchange worker queue.

#### securityContext

    @Nullable
    public @Nullable SecurityContext securityContext()

Specified by:
  `securityContext` in interface `CachePartitionExchangeWorkerTask`
Returns:
  Security context in which current task must be executed. `null` means that the task is to run in the context of a local node,

#### stoppedCaches

    public Collection<GridCacheAdapter> stoppedCaches()

Returns:
  Collection of stopped caches.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Void>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022